package textures.player.items.torch;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

/**  ------------- Nihilne ------------
    *** @author Mitch Weaver - 2016 ***
      ~~~~ All Rights Reserved ~~~~ */

public final class TorchGetHitTextures {

	public static final void getTextures(BufferedImage image) {
		final int width = 40, height = 72; final int col = 1;
		int row = 1;
		int START = 80;
		Textures.torchSheet[START++] = Utils.grabSprite(image, col, row++, width, height);
		Textures.torchSheet[START++] = Utils.grabSprite(image, col, row++, width, height);
		Textures.torchSheet[START++] = Utils.grabSprite(image, col, row++, width, height);
		Textures.torchSheet[START++] = Utils.grabSprite(image, col, row++, width, height);
		Textures.torchSheet[START++] = Utils.grabSprite(image, col, row++, width, height);
		Textures.torchSheet[START++] = Utils.grabSprite(image, col, row++, width, height);
		Textures.torchSheet[START++] = Utils.grabSprite(image, col, row++, width, height);
		Textures.torchSheet[START++] = Utils.grabSprite(image, col, row++, width, height);
	}
	
}
